Skip to content
Permalink
Browse files

src: guard bundled_ca/openssl_ca with HAVE_OPENSSL

Currently, the following warning will be reported when configuring
without-ssl:

../src/node.cc:3653:8: warning: unused variable 'use_bundled_ca'
[-Wunused-variable]
  bool use_bundled_ca = false;
       ^
../src/node.cc:3654:8: warning: unused variable 'use_openssl_ca'
[-Wunused-variable]
  bool use_openssl_ca = false;
       ^

I missed this when working on
commit 8a7db9d ("src: add
--use-bundled-ca --use-openssl-ca check").

Refs: #12087
PR-URL: #12302
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>
Reviewed-By: Richard Lau <riclau@uk.ibm.com>
Reviewed-By: Anna Henningsen <anna@addaleax.net>
  • Loading branch information...
danbev committed Apr 10, 2017
1 parent f9bc835 commit de168b4b4a4a8b8bd765a99bfa735d51f2650961
Showing with 2 additions and 0 deletions.
  1. +2 −0 src/node.cc
@@ -3647,8 +3647,10 @@ static void ParseArgs(int* argc,
const char** new_exec_argv = new const char*[nargs];
const char** new_v8_argv = new const char*[nargs];
const char** new_argv = new const char*[nargs];
#if HAVE_OPENSSL
bool use_bundled_ca = false;
bool use_openssl_ca = false;
#endif // HAVE_INSPECTOR

for (unsigned int i = 0; i < nargs; ++i) {
new_exec_argv[i] = nullptr;

0 comments on commit de168b4

Please sign in to comment.
You can’t perform that action at this time.